Subject: Late delivery
From: Mykel Nakhnoukh <[email-masked]>
To: Seeta Seeta <[email-masked]>
Cc: Shakeeb Arsalan <[email-masked]>, Apoorv Joshi <[email-masked]>, "Fauzan Ahmad, Musalman" <[email-masked]>
Date: Sat, 23 May 2020 03:36:32 -0700 (MST)

Hi Team, 

Problem Statement: Late delivery 
Order Date: Apr 20, 2020 
Order ID: 6484347357 
Tracking ID: 45767403065 
Assistance required (the customer placed the order on Apr 20, 2020 and till now order status is showing : In transit ) 
​ 
Note a complain from the customer : I was contacted by the driver about a week ago and I sent him the home site at his request but he did not reach me, I contacted him after a day and when he knew me he closed the line with my face, I contacted him again more than once and every time the line closed my face I contacted him a lot on Whats App but he does not Firstly, the driver’s behavior is mentioned in it lacking politeness and respect and carelessness in my work secondly to how long I waited for the shipment to arrive. 

Kindly deliver the order ASAP. 
Best regards, 
Maykel